#ifndef CMINIMAP_H
#define CMINIMAP_H


#include <QWidget>
#include <QMouseEvent>
#include <QColor>


class QGraphicsView;
class QGraphicsScene;
class QGraphicsRectItem;
class QGraphicsPixmapItem;
class QImage;
class QRectF;


class CMiniMap : public QWidget
{
    Q_OBJECT

    QGraphicsView  *GraphicsView;
    QGraphicsScene *GraphicsScene;
    QGraphicsRectItem *ViewPortRect;
    QGraphicsPixmapItem *CurrentPixmap;

    QColor ViewPortColor;

public:
    explicit CMiniMap(QWidget *parent = 0);
    //QGraphicsView  *view() const {return GraphicsView;}

    void setViewPortColor(const QColor &color);
    void setImage(const QImage &image);
    void updateImage(const QImage &image);
    
signals:
    void viewPortPositionChanged(const QPointF &pos);
    
public slots:
    //void setScale(qreal scale);
    void setViewPortRect(const QRectF &rect);

protected:
    void mousePressEvent(QMouseEvent *event);
};

#endif // CMINIMAP_H
